LOCAL_PATH := $(call my-dir)
include $(CLEAR_VARS)

LOCAL_SRC_FILES := \
	libs/pcap/bpf_dump.c\
	libs/pcap/bpf/net/bpf_filter.c\
	libs/pcap/bpf_image.c\
	libs/pcap/etherent.c\
	libs/pcap/fad-gifc.c\
	libs/pcap/gencode.c\
	libs/pcap/grammar.c\
	libs/pcap/inet.c\
	libs/pcap/nametoaddr.c\
	libs/pcap/optimize.c\
	libs/pcap/pcap.c\
	libs/pcap/pcap-linux.c\
	libs/pcap/savefile.c\
	libs/pcap/scanner.c\
	libs/pcap/version.c

LOCAL_CFLAGS := -O2 -g -D ipv6
LOCAL_CFLAGS += -DHAVE_CONFIG_H -D_U_="__attribute__((unused))" -Dlinux -D__GLIBC__ -D_GNU_SOURCE -Dyylval=pcap_lval -I$(LOCAL_PATH)/libs/pcap

LOCAL_MODULE := libpcap

include $(BUILD_STATIC_LIBRARY)
include $(CLEAR_VARS)

LOCAL_SRC_FILES := drivers/ip/driver.c
LOCAL_MODULE := driver_ip

LOCAL_CFLAGS := -O2 -g -DWALL
LOCAL_CFLAGS += -I$(LOCAL_PATH)/drivers/ip -I$(LOCAL_PATH)/libs/pcap

LOCAL_STATIC_LIBRARIES := libpcap

include $(BUILD_EXECUTABLE)
